Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class SimpleTogglePanelRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.html.SimpleTogglePanelRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  SimpleToggleControlTemplate

    public class SimpleTogglePanelRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`SimpleTogglePanelRenderer()`

Method Summary
`void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeBodyDivStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UISimpleTogglePanel component)`
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeDivEnd(javax.faces.context.ResponseWriter writer)`
`void` | `encodeDivStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UISimpleTogglePanel component)`
`void` | `encodeSwitchOffDivStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UISimpleTogglePanel component)`
`void` | `encodeSwitchOnDivStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UISimpleTogglePanel component)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
`java.lang.String` | `getdivdisplay(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `getOnClick(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()`
`java.lang.String` | `getSwitchStatus(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, boolean isSwitchOn)`
`protected java.lang.String` | `getValueAsString(javax.faces.context.FacesContext context, UISimpleTogglePanel Panel)`
`void` | `writeEventHandlerFunction(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String eventName)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTogglePanelRenderer

    public SimpleTogglePanelRenderer()

Method Detail

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### writeEventHandlerFunction

    public void writeEventHandlerFunction(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component,
                                          java.lang.String eventName)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### doDecode

    public void doDecode(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

### getdivdisplay

    public java.lang.String getdivdisplay(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component)

### getOnClick

    public java.lang.String getOnClick(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component)

### getValueAsString

    protected java.lang.String getValueAsString(javax.faces.context.FacesContext context,
                                                UISimpleTogglePanel Panel)

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### encodeDivStart

    public void encodeDivStart(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               UISimpleTogglePanel component)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeBodyDivStart

    public void encodeBodyDivStart(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext context,
                                   UISimpleTogglePanel component)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeSwitchOnDivStart

    public void encodeSwitchOnDivStart(javax.faces.context.ResponseWriter writer,
                                       javax.faces.context.FacesContext context,
                                       UISimpleTogglePanel component)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeSwitchOffDivStart

    public void encodeSwitchOffDivStart(javax.faces.context.ResponseWriter writer,
                                        javax.faces.context.FacesContext context,
                                        UISimpleTogglePanel component)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSwitchStatus

    public java.lang.String getSwitchStatus(javax.faces.context.FacesContext context,
                                            javax.faces.component.UIComponent component,
                                            boolean isSwitchOn)

### encodeDivEnd

    public void encodeDivEnd(javax.faces.context.ResponseWriter writer)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.